Acontext
Agent_skillsIdDownload_to_sandbox

Download skill to sandbox

POST
/agent_skills/{id}/download_to_sandbox

Download all files from an agent skill to a sandbox environment. Files are placed at /skills/{skill_name}/.

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

id*string

Agent skill UUID

Request Body

application/json

Download to sandbox request

TypeScript Definitions

Use the request body type in TypeScript.

sandbox_id*string

Target sandbox ID

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/agent_skills/string/download_to_sandbox" \  -H "Content-Type: application/json" \  -d '{    "sandbox_id": "string"  }'
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "description": "string",
    "dir_path": "string",
    "name": "string",
    "success": true
  }
}
{
  "code": 0,
  "error": "string",
  "msg": "string"
}